package category

import (
	"applet/app/admin/svc/category"
	"applet/app/e"
	"github.com/gin-gonic/gin"
)

func List(c *gin.Context) {
	r, err := svc.List(c)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}
	e.OutSuc(c, r, nil)
}

func Add(c *gin.Context) {
	var name = c.DefaultQuery("name", "")
	var pid = c.DefaultQuery("pid", "0")
	err := svc.Add(c, name, pid)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}
	e.OutSuc(c, nil, nil)
}

func Del(c *gin.Context) {
	var categoryId = c.DefaultQuery("categoryId", "1")
	err := svc.Del(c, categoryId)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}
	e.OutSuc(c, nil, nil)
}

func Sort(c *gin.Context) {
	var args struct {
		Ids []string `json:"ids" binding:"required"`
	}
	if err := c.ShouldBindJSON(&args); err != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err)
		return
	}
	err := svc.Sort(c, args.Ids)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}
	e.OutSuc(c, nil, nil)
}

func Save(c *gin.Context) {
	var args struct {
		Data map[string]interface{} `json:"data" binding:"required"`
	}
	if err := c.ShouldBindJSON(&args); err != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err)
		return
	}
	err := svc.Save(c, args.Data)
	if err != nil {
		e.OutErr(c, e.ERR_DB_ORM, err.Error())
		return
	}
	e.OutSuc(c, nil, nil)
}
