package router

import (
	"applet/app/bigData/hdl"
	"applet/app/bigData/mw"
	"github.com/gin-gonic/gin"
)

func BigDataInit(r *gin.RouterGroup) {
	r.POST("/test", hdl.Demo)
	r.POST("/login", hdl.Login)
	r.Use(mw.Auth) //检测登录状态
	r.GET("/userInfo", hdl.UserInfo)

	rData(r.Group("data")) //数据接口
}

func rData(r *gin.RouterGroup) {
	r.GET("/leftData", hdl.LeftData)    //左侧数据
	r.POST("/rightData", hdl.RightData) //右侧数据

	r.GET("/making_data", hdl.MakingData)                   //制作区数据
	r.GET("/baking_data", hdl.BakingData)                   //烘焙区数据
	r.GET("/sorting_data", hdl.SortingData)                 //分拣区数据
	r.GET("/new_order_notice", hdl.NewOrderNotice)          //新订单提醒
	r.GET("/new_order_info_notice", hdl.NewOrderInfoNotice) //新订单提醒

	r.GET("/new_sorting_cate", hdl.NewSortingCate)  //分拣区学校分类
	r.POST("/new_sorting_data", hdl.NewSortingData) //分拣区数据

	r.GET("/new_sorting_goods_cate", hdl.NewSortingGoodsCate)  //分拣区 按商品
	r.POST("/new_sorting_goods_data", hdl.NewSortingGoodsData) //分拣区 按商品 数据

}
